<app-home-toolbar></app-home-toolbar>

<ion-content>
    <ion-grid class="ion-padding" id="head">
        <ion-row>
            <ion-col size-md="6" offset-md="3">
                <ion-row class="ion-justify-content-center">
                    <ion-text color="light">
                        <h1 style="font-weight: bold; font-size: 40px">{{ 'Contact Sales' | translate }}</h1>
                    </ion-text>
                </ion-row>
                <ion-row class="ion-justify-content-center">
                    <ion-text color="light">
                        <h5>
                            If your question isn't answered in the FAQ below,
                            please contact our sales team and someone will get
                            back to you within one business day. If you need
                            technical help, visit our support page.
                        </h5>
                    </ion-text>
                </ion-row>
            </ion-col>
        </ion-row>
    </ion-grid>
    <ion-grid class="ion-padding">
        <ion-row>
            <ion-col size-md="6" offset-md="3">
                <ion-card class="ion-padding">
                    <ion-card-header>
                        <ion-card-title>{{ 'Contact Form' | translate }}</ion-card-title>
                    </ion-card-header>
                    <ion-card-content>

                        <form [formGroup]="form" (ngSubmit)="contactSales(form)" (keyup.enter)="contactSales(form)" method="post">
                            <ion-item>
                                <ion-label position="floating">{{ 'First Name' | translate }}</ion-label>
                                <ion-input formControlName="firstName" type="text"></ion-input>
                            </ion-item>
                            <div style="color: red"
                                *ngIf="form.get('firstName').hasError('required') && form.get('firstName').touched">
                                This
                                field is required*</div>
                            <ion-item>
                                <ion-label position="floating">{{ 'Last Name' | translate }}</ion-label>
                                <ion-input formControlName="lastName" type="text"></ion-input>
                            </ion-item>
                            <div style="color: red"
                                *ngIf="form.get('lastName').hasError('required') && form.get('lastName').touched">
                                This
                                field is required*</div>
                            <ion-item>
                                <ion-label position="floating">{{ 'Email Address' | translate }}</ion-label>
                                <ion-input formControlName="emailAdress" type="email"></ion-input>
                            </ion-item>
                            <div style="color: red"
                                *ngIf="form.get('emailAdress').hasError('required') && form.get('emailAdress').touched">
                                This
                                field is required*</div>
                            <ion-item>
                                <ion-label position="floating">{{ 'Phone Number' | translate }}</ion-label>
                                <ion-input formControlName="phoneNumber" type="number"></ion-input>
                            </ion-item>

                            <ion-item>
                                <ion-label position="floating">{{ 'Address' | translate }}</ion-label>
                                <ion-input formControlName="adress" type="text"></ion-input>
                            </ion-item>

                            <ion-item>
                                <ion-label position="floating">{{ 'HOW CAN WE HELP YOU?' | translate }}</ion-label>
                                <ion-textarea formControlName="body" type="text"></ion-textarea>
                            </ion-item>

                            <div style="color: red"
                                *ngIf="form.get('body').hasError('required') && form.get('body').touched">
                                This
                                field is required*</div>

                            <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">Contact
                                Sales</ion-button>
                        </form>
                    </ion-card-content>
                </ion-card>
            </ion-col>
        </ion-row>
    </ion-grid>
    <app-frequently-asked></app-frequently-asked>
    <ion-footer>
        <app-home-footer></app-home-footer>
    </ion-footer>
</ion-content>